$margins: 0 5 10 15 20 25 30 40 70 80 140 180 220;
@each $margin in $margins {
	.margin-#{$margin} {
		margin: #{$margin}px !important;
	}

	.margin-top-#{$margin} {
		margin-top: #{$margin}px !important;
	}

	.margin-bottom-#{$margin} {
		margin-bottom: #{$margin}px !important;
	}

	.margin-left-#{$margin} {
		margin-left: #{$margin}px !important;
	}

	.margin-right-#{$margin} {
		margin-right: #{$margin}px !important;
	}
}
$paddings: 0 5 10 15 20 25 30 40 70 80 140;
@each $padding in $paddings {
	.padding-#{$padding} {
		padding: #{$padding}px !important;
	}

	.padding-top-#{$padding} {
		padding-top: #{$padding}px !important;
	}

	.padding-bottom-#{$padding} {
		padding-bottom: #{$padding}px !important;
	}

	.padding-left-#{$padding} {
		padding-left: #{$padding}px !important;
	}

	.padding-right-#{$padding} {
		padding-right: #{$padding}px !important;
	}
}
$directions: 'left', 'center', 'right';
@each $direction in $directions {
	.text-#{$direction} {
		text-align: #{$direction} !important;
	}
}
$weights: 100, 200, 300, 400, 500, 600, 700;
@each $weight in $weights {
	.font-weight-#{$weight} {
		font-weight: #{$weight} !important;
	}
}

.clickable {
	cursor: pointer;
}

.label {
	color: white;
	font-size: 85%;
	padding: 1px 3px 3px;
}

.line-through {
	text-decoration: line-through;
}

.mdc-text-white {
	color: white !important;
}

.mdc-text-white-all {
	&, * {
		color: white !important;
	}
}

.mdc-bg-white {
	background-color: white !important;
}

.mdi-set,
.mdi:before {
	font-size: 24px;
}

.full-width {
	width: 100% !important;
}

.highcharts-credits {
	display: none !important;
}

.text-muted {
	color: #e0e0e0 !important;
}

.mdi-18px {
	line-height: 18px !important;
	min-height: 18px !important;
	min-width: 18px !important;
	height: 18px !important;
	width: 18px !important;
}

$iconsizes: 48, 72, 96, 120, 148, 200;
@each $iconsize in $iconsizes {
	.mdi-#{$iconsize}px {
		height: #{$iconsize}px !important;
		line-height: #{$iconsize}px !important;

		&:before {
			font-size: #{$iconsize}px !important;
		}
	}
}

.no-overflow {
	overflow: hidden !important;
}
